LOG_FORMAT = "%(asctime)s %(levelname)s %(name)s %(message)s"
ENV_DEBUG = "DEBUG"
ENV_AGTV_MAX_TV_SHOWS_PAGES = "AGTV_MAX_TV_SHOWS_PAGES"
ENV_AGTV_USERNAME = "AGTV_USERNAME"
ENV_AGTV_PASSWORD = "AGTV_PASSWORD"
ENV_TMDB_API_KEY = "TMDB_API_KEY"
ENV_SCAN_INTERVAL = "SCAN_INTERVAL"
ENV_STORE_RAW_STREAM = "STORE_RAW_STREAM"
ENV_EMBY_URL = "EMBY_URL"
ENV_EMBY_TOKEN = "EMBY_TOKEN"

DEFAULT_SCAN_INTERVAL = 60

DEFAULT_TV_SHOWS_PAGES = 25

TMDB_MEDIA_TYPE = "media_type"
TMDB_MEDIA_TYPE_TV_SHOW = "tv"
TMDB_MEDIA_TYPE_MOVIE = "movie"
TMDB_MEDIA_TYPE_FAULT = "fault"

AGTV_MEDIA_TYPE_TV_SHOWS = "tvshows"
AGTV_MEDIA_TYPE_MOVIES = "movies"

TMDB_MEDIA_TYPES = {
    TMDB_MEDIA_TYPE_TV_SHOW: AGTV_MEDIA_TYPE_TV_SHOWS,
    TMDB_MEDIA_TYPE_MOVIE: AGTV_MEDIA_TYPE_MOVIES,
}

APOLLO_GROUP_TV_BASE_URL = "https://tvnow.best/api/list"
TV_SHOWS_URL = f"m3u8/{AGTV_MEDIA_TYPE_TV_SHOWS}"
MOVIES_URL = f"m3u8/{AGTV_MEDIA_TYPE_MOVIES}"

STREAM_URL = "url"
STREAM_EPISODE = "episode"
STREAM_SEASON = "season"
STREAM_FILES = "files"
STREAM_FILE_TMDB = "tmdb"
STREAM_FILE_MEDIA_PATH = "media"
STREAM_FILE_MEDIA_URL = "mediaUrl"

STREAM_TV_VALIDATIONS = {STREAM_SEASON: r"(S+[\d]{2})", STREAM_EPISODE: r"(E+[\d]{2})"}

STREAM_TV_VALIDATION_POSITIONS = {STREAM_SEASON: -2, STREAM_EPISODE: -1}

TMDB_MEDIA_NAME = "name"
TMDB_MEDIA_FIRST_AIR_DATE = "first_air_date"
TMDB_MEDIA_TITLE = "title"
TMDB_MEDIA_RELEASE_DATE = "release_date"

IMDB_ID = "tvg-id"
AGTV_STREAM_TYPE = "tvg-type"
STREAM_STATUS = "status"

STREAM_STATUS_NEW = "new"
STREAM_STATUS_READY = "ready"
STREAM_STATUS_MODIFIED = "modified"
STREAM_STATUS_EXISTS = "exists"
STREAM_STATUS_FAULT = "fault"

EXTRACT_KEYS = [IMDB_ID]

MAX_THREADS_IO = 10
MAX_THREADS_NO_IO = 50
MAX_THREADS_PLAY = 5

TMDB_FILE = "cache/tmdb.json"
STREAMS_FILE = "cache/streams.json"
AGTV_FILE = "cache/agtv.json"

CLEAN_CHARS = {"&": "and", ":": "", "?": "", "/": "-", "*": "_", '"': "'"}

BREAK_LINE = "\n"
EMPTY_STRING = ""

M3U_EXT_INF = "#EXTINF"
